<!--
 Copyright (c) 2014, 2017, Oracle and/or its affiliates.
 The Universal Permissive License (UPL), Version 1.0
 -->
 
<section id="main" class="wrapper">
	<div class="inner">
		<header class="align-left">
			<h1><img src="./images/list.png" width="32px" height="32px" style="vertical-align: middle;"/>
			Form M Applications</h1>
			
		</header>
		
		<div class="row">
			
			
			<div class="12u$ 12u$(medium)">
				<div class="row oj-panel oj-panel-alt6 oj-panel-shadow-md">
					<div class="4u 12u$(small)">
						<input type="radio" id="formType-new" name="formType" checked>
						<label for="formType-new">Incomplete Form M Applications</label>
					</div>
					<div class="4u 12u$(small)">
						<input type="radio" id="formType-pending" name="formType">
						<label for="formType-pending">Pending Approval Form M Application</label>
					</div>
					<div class="4u$ 12u$(small)">
						<a href="#" class="button alt small fit icon fa-search" data-bind="click: processCheckedAction">Get List</a>
					</div>
				</div>
				<hr/>
			</div>
			<div class="12u$ 12u$(medium)">
			<span id="status"></span>
			</div>
			<div class="12u$ 12u$(medium)">
				<oj-table id="formMList" aria-label="Form M List"
					data='[[paginDataSource]]' 
					display='grid'
					selection-mode='{"row": "single"}'
					columns-default='{"sortable": "enabled"}' 
					columns='[
							  {"headerText": "Form Number",  "field": "formid", "style": "width: 15%"},
							   
							  {"headerText": "Branch Name",  "field": "branchName", "style": "width: 15%"},
							  
							  {"headerText": "Form Type", "field": "formType", "style": "width: 35%"},
							   
							  {"headerText": "Form Prefix", "field": "formPrefix", "style": "width: 15%"},
							   
							  {"headerText": "Create Date", "field": "createDate", "style": "width: 15%"}
							   
							  ]' 
					style='width: 100%;'>
					<oj-paging-control id="paging" data='[[paginDataSource]]' page-size='5' slot='bottom'>
					</oj-paging-control>
				</oj-table>
			</div>
			<div class="6u$ 12u$(medium)">
				<div class="row ">
					
					<div class="12u$ 12u$(small)">
						<p></p>
					</div>
					<div class="6u 12u$(small)">
						<a href="#" class="button alt fit small" data-bind="click: editButtonAction">Edit Selected Form M</a>
						
						<!-- <button id= "btnCheck" class="button special fit oj-button-confirm" chroming="outlined"
						data-bind="click: editButtonAction,
								   ojComponent: { component: 'ojButton', label: 'Edit Selected Form M' }">
						</button> -->
					</div>
					<div class="6u$ 12u$(small)">
						<a href="#" class="button alt fit small" data-bind="click: newButtonAction">New Form M</a>
					</div>
				</div>
			</div>
			
		</div>
	</div>
</section>


